/*
 *    Copyright (c) 2018-2025, cyweb All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 *
 */

import request from '/@/utils/request';

export function getPage(params?: any) {
	return request({
		url: '/finance/recruitstuproject/page',
		method: 'get',
		params
	});
}

export function getBySerialNumber(serialNumber: string) {
	return request({
		url: '/finance/recruitstuproject/stu/' + serialNumber,
		method: 'get'
	});
}

export function getObj(id: string) {
	return request({
		url: '/finance/recruitstuproject/' + id,
		method: 'get'
	});
}

export function addObj(obj: any) {
	return request({
		url: '/finance/recruitstuproject',
		method: 'post',
		data: obj
	});
}

export function editObj(obj: any) {
	return request({
		url: '/finance/recruitstuproject/edit',
		method: 'post',
		data: obj
	});
}

export function delObj(id: string) {
	return request({
		url: '/finance/recruitstuproject/delete',
		method: 'post',
		data: { id }
	});
}

export function bindProject(serialNumber: string, projectCodes: string[]) {
	return request({
		url: '/finance/recruitstuproject/bind',
		method: 'post',
		params: { serialNumber },
		data: projectCodes
	});
}

export function payRegister(id: string, payType: string) {
	return request({
		url: '/finance/recruitstuproject/pay',
		method: 'post',
		params: { id, payType }
	});
}

export function cancelPay(id: string) {
	return request({
		url: '/finance/recruitstuproject/cancel',
		method: 'post',
		params: { id }
	});
}